# Uses of Class
org.apache.lucene.analysis.opennlp.tools.NLPSentenceDetectorOp

Packages that use NLPSentenceDetectorOp
Package
Description
org.apache.lucene.analysis.opennlp
Analysis components based on OpenNLP
org.apache.lucene.analysis.opennlp.tools
Tools to supply access to OpenNLP components.

## Uses of NLPSentenceDetectorOp in org.apache.lucene.analysis.opennlp

Constructors in org.apache.lucene.analysis.opennlp with parameters of type NLPSentenceDetectorOp
Modifier
Constructor
Description
``
`OpenNLPSentenceBreakIterator(NLPSentenceDetectorOp sentenceOp)`
``
`OpenNLPTokenizer(AttributeFactory factory, NLPSentenceDetectorOp sentenceOp, NLPTokenizerOp tokenizerOp)`

## Uses of NLPSentenceDetectorOp in org.apache.lucene.analysis.opennlp.tools

Methods in org.apache.lucene.analysis.opennlp.tools that return NLPSentenceDetectorOp
Modifier and Type
Method
Description
`static NLPSentenceDetectorOp`
OpenNLPOpsFactory.`getSentenceDetector(String modelName)`